package com.bonus.canteen.core.drp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class DrpUnitListDTO {
   @ApiModelProperty("单位类型(1-按份,2-称重)")
   private Integer weighType;
   @ApiModelProperty("区域id")
   private Long areaId;
   private List<Long> areaAuth;

   public Integer getWeighType() {
      return this.weighType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public void setWeighType(final Integer weighType) {
      this.weighType = weighType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }
}
